Add wfDeprecated() to deprecated ApiResult methods
Closed, ResolvedPublic

Description

Also remove the methods from earlier patchsets that were kept because of the first round of extension updates.

Anomie created this task.Apr 20 2015, 6:35 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2015, 6:35 PM
Anomie edited the task description. (Show Details)Apr 20 2015, 6:43 PM
Anomie set Security to None.

Change 205341 had a related patch set uploaded (by Anomie):
API: Finish killing "raw mode"

https://gerrit.wikimedia.org/r/205341

Change 205340 had a related patch set uploaded (by Anomie):
API: Add wfDeprecated() to deprecated ApiResult methods

https://gerrit.wikimedia.org/r/205340

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Apr 20 2015, 7:12 PM
Anomie moved this task from Needs Review to Blocked on the MediaWiki-API board.

Change 205340 merged by jenkins-bot:
API: Add wfDeprecated() to deprecated ApiResult methods

https://gerrit.wikimedia.org/r/205340

Change 205716 had a related patch set uploaded (by Legoktm):
API: Add wfDeprecated() to deprecated ApiResult methods

https://gerrit.wikimedia.org/r/205716

Change 205716 merged by jenkins-bot:
API: Add wfDeprecated() to deprecated ApiResult methods

https://gerrit.wikimedia.org/r/205716

Anomie moved this task from Blocked to Needs Review on the MediaWiki-API board.Aug 27 2015, 2:08 PM

Change 205341 merged by jenkins-bot:
API: Finish killing "raw mode"

https://gerrit.wikimedia.org/r/205341

Anomie closed this task as "Resolved".Sep 18 2015, 2:26 PM